Edit a charge

This request edits a charge on a line of credit account.

   Click here to learn more about this request

A charge is a fee that's applied to a line of credit account. Note the following about this request:

The LineOfCreditCharges object holds charges information, and it's nested within the LineOfCredits entity.

Charges are routed to a specific Bucket, which is associated to a line of credit account.

For an example of how logging a charge works in the UI, take a look at our Log a Charge article.

Database

For information regarding line of credit charge database tables, see the following articles:

Database – Line of Credit Charges (line_of_credit_charge_entity)

Database – Line of Credit Recurring Charges (line_of_credit_recurring_charge_entity)

Database – Line of Credit Account (line_of_credit_entity)

{
    "entityId": 340,
    "amount": "5.43",
    "applyDate": "2025-04-24",
    "interestBearing": 0,
    "bucketId": 1,
    "status": "lineOfCredit.transactionStatus.active",
    "description": "Late Fee",
    "customChargeTypeId": 1,
    "metadata": {
      "keyValue": "newValue"
     }
}
Path Params
int32
required

The ID of the charge.

Body Params
float

The dollar amount of the charge.

date

The apply date of the charge.
> Formatted as YYYY-MM-DD.

boolean

The interest bearing status of the charge.
0 = false, 1 = true.

int32

The ID of the bucket on the line of credit account

string
enum

The status of the charge on the line of credit account.

string

The description of the charge.
> Limited to 255 characters.

int32

The ID of the charge's custom type.

metadata
object

This object holds metadata information.
> This object can hold any number of customizable key-value pairs.
> This object does not allow pre-serialized JSON.
> This field does not allow multiple objects.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json